//===-- temu-c/Memory.h - Memory Helpers ------------------------*- C++ -*-===//
//
// T-EMU: The Terma Emulator
// (c) Terma 2015
// Authors: Mattias Holm <maho (at) terma.com>
//
//===----------------------------------------------------------------------===//


#ifndef TEMU_SUPPORT_MEMORY
#define TEMU_SUPPORT_MEMORY

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

int temu_memoryRead(void *mem, uint8_t *buff, uint64_t addr, uint32_t size, int swap);
int temu_memoryWrite(void *mem, uint64_t addr, uint8_t *buff, uint32_t size, int swap);


#ifdef __cplusplus
}
#endif

#endif /* ! TEMU_SUPPORT_MEMORY */
